# ---------- GLOBAL SETUP ---------- #
workflow:
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'

stages:
  - install
  - lint
  - test

variables:
  UV_VERSION: "0.9.4"
  PYTHON_VERSION: "3.13"
  BASE_LAYER: trixie-slim

default:
  image: ghcr.io/astral-sh/uv:$UV_VERSION-python$PYTHON_VERSION-$BASE_LAYER

# ---------- TESTING ---------- #
test:
  stage: test
  tags:
    - test
  script:
    - uv run --only-group test pytest test
